GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/amd64-fbsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <sys/sysctl.h>`
`#include <sys/user.h>`
`#include <machine/reg.h>`
`#include "fbsd-nat.h"`
`#include "amd64-tdep.h"`
`#include "amd64-nat.h"`
`#include "x86-bsd-nat.h"`
`#include "x86-nat.h"`
`#include "x86-xstate.h"`
`#include <machine/pcb.h>`
`#include <osreldate.h>`
`#include "bsd-kvm.h"`

Go to the source code of this file.

## Macros
#define | REG_OFFSET(member) offsetof (struct reg, member)
#define | SC_REG_OFFSET amd64fbsd_sc_reg_offset
#define | SC_RIP_OFFSET SC_REG_OFFSET[AMD64_RIP_REGNUM]
#define | SC_RSP_OFFSET SC_REG_OFFSET[AMD64_RSP_REGNUM]
#define | SC_RBP_OFFSET SC_REG_OFFSET[AMD64_RBP_REGNUM]

## Functions
static int | amd64fbsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
static const struct target_desc * | amd64fbsd_read_description (struct target_ops *ops)
void | _initialize_amd64fbsd_nat (void)

## Variables
static int | amd64fbsd64_r_reg_offset []
static int | amd64fbsd32_r_reg_offset [I386_NUM_GREGS]

## Macro Definition Documentation

## ◆ REG_OFFSET

#define REG_OFFSET | ( |  | member | ) | offsetof (struct reg, member)

Definition at line 41 of file amd64-fbsd-nat.c.

## ◆ SC_RBP_OFFSET

#define SC_RBP_OFFSET SC_REG_OFFSET[AMD64_RBP_REGNUM]

Referenced by _initialize_amd64fbsd_nat().

## ◆ SC_REG_OFFSET

#define SC_REG_OFFSET amd64fbsd_sc_reg_offset

## ◆ SC_RIP_OFFSET

#define SC_RIP_OFFSET SC_REG_OFFSET[AMD64_RIP_REGNUM]

Referenced by _initialize_amd64fbsd_nat().

## ◆ SC_RSP_OFFSET

#define SC_RSP_OFFSET SC_REG_OFFSET[AMD64_RSP_REGNUM]

Referenced by _initialize_amd64fbsd_nat().

## Function Documentation

## ◆ _initialize_amd64fbsd_nat()

void _initialize_amd64fbsd_nat | ( | void |  | ) |

Definition at line 189 of file amd64-fbsd-nat.c.

References _, amd64_native_gregset32_reg_offset, amd64_native_gregset64_reg_offset, amd64bsd_target(), amd64fbsd32_r_reg_offset, amd64fbsd64_r_reg_offset, amd64fbsd_read_description(), amd64fbsd_sigtramp_end_addr, amd64fbsd_sigtramp_start_addr, amd64fbsd_supply_pcb(), bsd_kvm_add_target(), fbsd_nat_add_target(), offset, SC_RBP_OFFSET, SC_RIP_OFFSET, SC_RSP_OFFSET, target_ops::to_read_description, and warning().

## ◆ amd64fbsd_read_description()

static const struct target_desc* amd64fbsd_read_description | ( | struct target_ops * | ops | ) |
| static

Definition at line 147 of file amd64-fbsd-nat.c.

References _, amd64_target_description(), i386_target_description(), inferior_ptid, perror_with_name(), ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, X86_XSTATE_SSE_MASK, and x86bsd_xsave_len.

Referenced by _initialize_amd64fbsd_nat().

## ◆ amd64fbsd_supply_pcb()

static int amd64fbsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 104 of file amd64-fbsd-nat.c.

References AMD64_DS_REGNUM, AMD64_ES_REGNUM, AMD64_FS_REGNUM, AMD64_GS_REGNUM, AMD64_RBP_REGNUM, AMD64_RBX_REGNUM, AMD64_RIP_REGNUM, AMD64_RSP_REGNUM, and regcache_raw_supply().

Referenced by _initialize_amd64fbsd_nat().

## Variable Documentation

## ◆ amd64fbsd32_r_reg_offset

int amd64fbsd32_r_reg_offset[I386_NUM_GREGS]
| static

Initial value:
=
{
14 * 8, 13 * 8,
12 * 8, 11 * 8,
20 * 8, 10 * 8,
9 * 8, 8 * 8,
17 * 8, 19 * 8,
18 * 8, 21 * 8,
-1, -1, -1, -1
}

Definition at line 84 of file amd64-fbsd-nat.c.

Referenced by _initialize_amd64fbsd_nat().

## ◆ amd64fbsd64_r_reg_offset

int amd64fbsd64_r_reg_offset[]
| static

Initial value:
=
{
REG_OFFSET (r_rax),
REG_OFFSET (r_rbx),
REG_OFFSET (r_rcx),
REG_OFFSET (r_rdx),
REG_OFFSET (r_rsi),
REG_OFFSET (r_rdi),
REG_OFFSET (r_rbp),
REG_OFFSET (r_rsp),
REG_OFFSET (r_r8),
REG_OFFSET (r_r9),
REG_OFFSET (r_r10),
REG_OFFSET (r_r11),
REG_OFFSET (r_r12),
REG_OFFSET (r_r13),
REG_OFFSET (r_r14),
REG_OFFSET (r_r15),
REG_OFFSET (r_rip),
REG_OFFSET (r_rflags),
REG_OFFSET (r_cs),
REG_OFFSET (r_ss),
-1,
-1,
-1,
-1
}
REG_OFFSET
#define REG_OFFSET(member)
Definition: amd64-fbsd-nat.c:41

Definition at line 46 of file amd64-fbsd-nat.c.

Referenced by _initialize_amd64fbsd_nat().